/*
 *  ScanGear MP for Linux
 *  Copyright CANON INC. 2007
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/


#ifndef	_COLORADJUST_HG_H_
#define	_COLORADJUST_HG_H_

#include "coloradjust.h"
#include "cnmstype.h"


typedef struct{
		CNMSInt32		center;
		CNMSInt32		left;
		CNMSInt32		top;
		CNMSInt32		right;
		CNMSInt32		bottom;
}CNMSHGTriIconRect;


CNMSVoid CnmsHGDialogShow(
						CNMSInt32			color,
						CNMSInt32			keep					);

CNMSVoid CnmsHGInit(
						CNMSBool			histFlag				);

CNMSVoid CnmsHGReset(
						CNMSBool			channelFlag,
						CNMSBool			histFlag				);

CNMSInt32 CnmsHGPreviewChangedAfter(
						CNMSBool			prevFlag				);

CNMSVoid CnmsHGChannelComboBoxChanged(
						GtkComboBox			*combobox				);

CNMSVoid CnmsHGScaleBarConfigureEvent(
						GtkWidget			*widget,
						GdkEventConfigure	*event					);

CNMSVoid CnmsHGScaleBarExposeEvent(
						GtkWidget			*widget,
						GdkEventExpose		*event					);

CNMSVoid CnmsHGScaleBarButtonPressEvent(
						GtkWidget			*widget,
						GdkEventButton		*event					);

CNMSVoid CnmsHGScaleBarButtonReleaseEvent(
						GtkWidget			*widget,
						GdkEventButton		*event					);

CNMSVoid CnmsHGScaleBarMotionNotifyEvent(
						GtkWidget			*widget,
						GdkEventMotion		*event					);

CNMSVoid CnmsHGSpinButtonValueChanged(
						GtkSpinButton		*spinbutton,
						CNMSInt32			grab					);

CNMSVoid CnmsHGToneCurveDraw(
						GtkWidget			*widget,
						CNMSInt32			colorGroup,
						CNMSInt32			channel					);

CNMSVoid CnmsHGDrawingAreaConfigureEvent(
						GtkWidget			*widget,
						GdkEventConfigure	*event					);
CNMSVoid CnmsHGDrawingAreaExposeEvent(
						GtkWidget			*widget,
						GdkEventExpose		*event					);

CNMSVoid CnmsHGPreviewRGBKValueDisp(
						CNMSInt32			rVal,
						CNMSInt32			gVal,
						CNMSInt32			bVal					);

CNMSVoid CnmsHGPreviewRGBKValueUnDisp(
						CNMSVoid									);

CNMSVoid CnmsHGSpuitButtonToggled(
						GtkToggleButton		*togglebutton,
						CNMSInt32			button_type				);

CNMSInt32 CnmsHGSpuitButtonToggleRelease(
						CNMSVoid									);

CNMSInt32 CnmsHGGetToggleStatus(
						CNMSVoid									);

CNMSVoid CnmsHGToneCurveDrawFromPreview(
						CNMSVoid									);

CNMSVoid CnmsHGSpuitToolAction(
						CNMSVoid									);


#endif
